Document Directory

Glossary API

Query glossary

POST/v1/glossary/query

Get details of a glossary by ID.

Complete address
https://otranslator.com/api/v1/glossary/query
Authentication
API Key needs to be passed in the Authorization request header
Content-Type
application/json
Invalid format
{ "error": "Invalid API key." }

Example

curl
1curl -X POST 'https://otranslator.com/api/v1/glossary/query' \
2--header 'Authorization: [yourSecretKey]' \
3--header 'Content-Type: application/json' \
4--data '{
5  "glossaryId": "[string]"
6}'

Request Parameters

ParametersTypeDefaultDescriptionExample
*glossaryIdString-

Glossary ID

-

Response

ParametersTypeDefaultDescriptionExample
glossaryIdString-

Glossary ID

-
nameString-

Glossary name

-
descString-

Glossary description

-
targetLangString-

Target Language

-
keysString[]-

Source Terminology List

-
translatedJSON-

JSON mapping from source terms to translations

-
createdAtDateTime-

Glossary creation time

-
updatedAtDateTime-

Glossary update time

-

Common Errors

401 Missing API key.

The Authorization request header is required.

401 Invalid API key.

The API key does not exist, has been deleted, or is no longer valid.

400 Missing required parameter: glossaryId.

Provide the glossaryId returned by the create glossary API.

404 Glossary not found.

The glossary does not exist or does not belong to the current API account.

Glossary API
Create glossary
Glossary API
Update Glossary